Topics

I am trying to upgrade my PHSNA software and can't find tone.h

David R. Hassall WA5DJJ
 

Dear gang,

 

I have been off in the weeds for a couple of years and dug out my 60MHz PHSNA to test some filters I am building for my QRSS Grabber.   When I tried to upload the latest PHSNA-VB, I get an error that tone.h is missing.  I searched around the website and I couldn’t find it anywhere.   So can some kind soul send it to me or tell me where to find it.   I am trying to get version 1.42 up and running.  Any suggestions would be appreciated but the manual is much better than it was when I first got into this group.  So that is a help.  

 

Take care and have fun.

 

73 Dave Hassall WA5DJJ  Las Cruces, New Mexico

Website: http://www.zianet.com/dhassall/

 

Nick Kennedy
 

Some people reported this issue with tone.h several years ago so I made sure that revision 1.6 of PHSNA_VB didn't have any calls to tone(). This was on 3/31/2015. 

Tone.h is a library that's part of the Arduino installation. But it should not be required if you have the current software.

You could word search your .ino files for the occurrence of 'tone(' to make sure you you don't have an earlier version.

Note that "commented out" instances don't count.

73,

Nick, WA5BDU



On Tue, Mar 6, 2018 at 7:16 PM, 'David R. Hassall WA5DJJ' dhassall@... [PHSNA] <PHSNA@...> wrote:
 

Dear gang,

 

I have been off in the weeds for a couple of years and dug out my 60MHz PHSNA to test some filters I am building for my QRSS Grabber.   When I tried to upload the latest PHSNA-VB, I get an error that tone.h is missing.  I searched around the website and I couldn’t find it anywhere.   So can some kind soul send it to me or tell me where to find it.   I am trying to get version 1.42 up and running.  Any suggestions would be appreciated but the manual is much better than it was when I first got into this group.  So that is a help.  

 

Take care and have fun.

 

73 Dave Hassall WA5DJJ  Las Cruces, New Mexico

Website: http://www.zianet.com/dhassall/

 


David R. Hassall WA5DJJ
 

Dear Nick,

I downloaded what I thought was the latest software version 1.42 from the website and the PHSNA_VB and was trying to compile it yester day.  I will go through it and see if I can find out where the tone.h  requirement came from.   But it didn't compile in version 1.82 of my Ardunio IDE .   Thanks for the reply.   I will go looking.


take care and have fun

73 Dave WA5DJJ

David R. Hassall WA5DJJ
 

Dear Nick,


I think I  found my problem.  I was using the wrong morse.ino file.  I found one for version 1.6 and above and it now compiles.  


Thanks,

73

Dave WA5DJJ